/*
 * MandelVroom 2.0
 *
 * (c) Copyright 1987,1989  Kevin L. Clague, San Jose, CA
 *
 * All rights reserved.
 *
 * Permission is hereby granted to distribute this program's source
 * executable, and documentation for non-comercial purposes, so long as the
 * copyright notices are not removed from the sources, executable or
 * documentation.  This program may not be distributed for a profit without
 * the express written consent of the author Kevin L. Clague.
 *
 * This program is not in the public domain.
 *
 * Fred Fish is expressly granted permission to distribute this program's
 * source and executable as part of the "Fred Fish freely redistributable
 * Amiga software library."
 *
 * Permission is expressly granted for this program and it's source to be
 * distributed as part of the Amicus Amiga software disks, and the
 * First Amiga User Group's Hot Mix disks.
 *
 * contents:  These structs are used to ease Mandelbrot/Julia picture
 * calculations.
 */

struct PotentialParms {
  double ScreenReal, ScreenImag; /* 0.0 for Mandelbrot, screen for julia */
  double C_Real,     C_Imag;     /* C for mandelbrot,   C for julia      */
  SHORT  MaxIteration;
};

struct IntPotParms {
  LONG ScreenReal, ScreenImag; /* 0.0 for Mandelbrot, screen for julia */
  LONG C_Real,     C_Imag;     /* C for mandelbrot,   C for julia      */
  SHORT  MaxIteration;
};

